tigase.kernel

## Class BeanUtils

- java.lang.Object
- - tigase.kernel.BeanUtils

-     public class BeanUtils
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Method[]` | `getAllMethods(Class<?> klass)`
    `static Object` | `getValue(Object fromBean, Field field)`
    `static String` | `prepareAccessorMainPartName(String fieldName)`
    `static Method` | `prepareGetterMethod(Field f)`
    `static Method` | `prepareSetterMethod(Field f)`
    `static ArrayList<Method>` | `prepareSetterMethods(Class<?> destination, String fieldName)`
    `static void` | `setValue(Object toBean, Field field, Object valueToSet)`
    `static void` | `setValue(Object toBean, String fieldName, Object valueToSet)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAllMethods

          public static Method[] getAllMethods(Class<?> klass)

    - #### getValue

          public static Object getValue(Object fromBean,
                                        Field field)
                                 throws IllegalAccessException,
                                        IllegalArgumentException,
                                        InvocationTargetException

      Throws:
        `IllegalAccessException`
        `IllegalArgumentException`
        `InvocationTargetException`

    - #### prepareAccessorMainPartName

          public static String prepareAccessorMainPartName(String fieldName)

    - #### prepareGetterMethod

          public static Method prepareGetterMethod(Field f)

    - #### prepareSetterMethod

          public static Method prepareSetterMethod(Field f)

    - #### prepareSetterMethods

          public static ArrayList<Method> prepareSetterMethods(Class<?> destination,
                                                               String fieldName)

    - #### setValue

          public static void setValue(Object toBean,
                                      Field field,
                                      Object valueToSet)
                               throws IllegalAccessException,
                                      IllegalArgumentException,
                                      InvocationTargetException

      Throws:
        `IllegalAccessException`
        `IllegalArgumentException`
        `InvocationTargetException`

    - #### setValue

          public static void setValue(Object toBean,
                                      String fieldName,
                                      Object valueToSet)
                               throws IllegalAccessException,
                                      IllegalArgumentException,
                                      InvocationTargetException,
                                      NoSuchMethodException

      Throws:
        `IllegalAccessException`
        `IllegalArgumentException`
        `InvocationTargetException`
        `NoSuchMethodException`

Copyright © 2022 "Tigase, Inc.". All rights reserved.